%define name tsid2
%define	version	0.3
%define release 1
%define	prefix /usr
%define rname %{name}-%{version}

Summary: TSID2: Time SID Manager (Next Generation).
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
URL: http://sourceforge.net/projects/tsid
Group: Applications/Sound
Source: http://sourceforge.net/download/tsid/%{rname}.tar.gz
Vendor: Stefano Tognon <ice00@users.sourceforge.net>
Packager: Stefano Tognon <ice00@users.sourceforge.net>
Prefix: %{prefix}
BuildRoot: /var/tmp/tsid2-build

Requires: libini

%description
TSID2 is a library for collecting your time spent listening statistic about
HVSC sids from a sid player, and some programs for extracting and elaborating
these information. So, who is your best sid composer or tune? TSID2 probably
shows you something interesting...
TSID2 is more powerfull than the old TSID library.
This is a package with user executable programs.

%package -n tsid2-devel
Summary: Header files for compiling apps that use libtsid2
Group: Development/Libraries

Requires: libini

%description -n tsid2-devel
TSID2 is a library for collecting your time spent listening statistic about
HVSC sids from a sid player, and some programs for extracting and elaborating
these information. So, who is your best sid composer or tune? TSID2 probably
shows you something interesting...
TSID2 is more powerfull than the old TSID library.
This is a developer package containing library and headers.

%prep
%setup

[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

./configure

%build

make

%install

[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%{prefix}/bin/examiner2
%{prefix}/bin/tsid2tsid
%{prefix}/bin/tupdate2
%doc README AUTHORS COPYING TODO INSTALL doc history/RELEASE

%files -n tsid2-devel
%{prefix}/lib/libtsid2.a
%{prefix}/include/%{name}/*
%dir %{prefix}/include/%{name}

